## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ICUFormatNumberFunctor::UnlocalizePatternFunctor Class Reference

Collaboration diagram for ICUFormatNumberFunctor::UnlocalizePatternFunctor:

[legend]
List of all members.

## Public Member Functions

- UnlocalizePatternFunctor (const XalanDecimalFormatSymbols &theDFS)
- XalanDOMString & operator() (const XalanDOMString &thePattern, XalanDOMString &theResult) const

## Constructor & Destructor Documentation

ICUFormatNumberFunctor::UnlocalizePatternFunctor::UnlocalizePatternFunctor | ( | const XalanDecimalFormatSymbols & | theDFS | ) |

## Member Function Documentation

XalanDOMString& ICUFormatNumberFunctor::UnlocalizePatternFunctor::operator() | ( | const XalanDOMString & | thePattern,
|  | XalanDOMString & | theResult
| ) | const

The documentation for this class was generated from the following file:

- ICUFormatNumberFunctor.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.